﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebServices.Query {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "15.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class HANA {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal HANA() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("WebServices.Query.HANA", typeof(HANA).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to select top 1 ifnull (&quot;U_importe&quot;,0) as &quot;U_importe&quot; from &quot;@LISTAMOTOESP&quot; where &quot;U_articulo&quot; = &apos;{0}&apos; and &quot;U_ano&quot; = {1}.
        /// </summary>
        internal static string externalPrice {
            get {
                return ResourceManager.GetString("externalPrice", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to select top 1 isnull (&quot;U_importe&quot;,0) as &quot;U_importe&quot; from &quot;@LISTAMOTOESP&quot; where &quot;U_articulo&quot; = &apos;{0}&apos; and &quot;U_ano&quot; = {1}.
        /// </summary>
        internal static string externalPriceSQL {
            get {
                return ResourceManager.GetString("externalPriceSQL", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to  and &quot;U_A_Modelo&quot; = {0} .
        /// </summary>
        internal static string FilterAnio {
            get {
                return ResourceManager.GetString("FilterAnio", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to select U_anio Selected from RDR1 where DocEntry = {0} and LineNum ={1}.
        /// </summary>
        internal static string FilterAnioByLine {
            get {
                return ResourceManager.GetString("FilterAnioByLine", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Select &quot;U_Rubro&quot;  from &quot;OITM&quot; where &quot;ItemCode&quot; = &apos;{0}&apos;.
        /// </summary>
        internal static string getRubro {
            get {
                return ResourceManager.GetString("getRubro", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to &quot;T0&quot;.&quot;DocLine&quot;.
        /// </summary>
        internal static string GetSerialsByDocument01 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument01", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to  WHERE T0.&quot;DocEntry&quot; = {0} AND T0.&quot;DocType&quot; = {1} AND {2}.
        /// </summary>
        internal static string GetSerialsByDocument02 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument02", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to JOIN {2}.&quot;OSBQ&quot; T3 ON T1.&quot;MdAbsEntry&quot; = T3.&quot;SnBMDAbs&quot; AND T3.&quot;WhsCode&quot; = &apos;{0}&apos; and T3.&quot;ItemCode&quot; = &apos;{1}&apos; and  T3.&quot;OnHandQty&quot; &gt; 0.
        /// </summary>
        internal static string GetSerialsByDocument03 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument03", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to WHERE T0.&quot;ItemCode&quot; = &apos;{0}&apos; and T1.&quot;MdAbsEntry&quot; NOT IN (SELECT &quot;SnBMDAbs&quot; FROM {1}.&quot;OSBQ&quot;).
        /// </summary>
        internal static string GetSerialsByDocument04 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument04", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SELECT T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot;, SUM(T1.&quot;AllocQty&quot;) as &quot;AllocQty&quot; 
        ///FROM {0}.&quot;OITL&quot; T0 
        ///JOIN {0}.&quot;ITL1&quot; T1 ON T0.&quot;LogEntry&quot; = T1.&quot;LogEntry&quot; 
        ///JOIN {0}.&quot;OSRN&quot; T2 ON T1.&quot;SysNumber&quot; = T2.&quot;SysNumber&quot; AND T0.&quot;ItemCode&quot; = T2.&quot;ItemCode&quot;.
        /// </summary>
        internal static string GetSerialsByDocument05 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument05", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to   GROUP BY  T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot; HAVING SUM(T1.&quot;AllocQty&quot;)=0.
        /// </summary>
        internal static string GetSerialsByDocument06 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument06", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SELECT T0.&quot;DocNum&quot;, T0.&quot;DocLine&quot;, T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot;, SUM(T1.&quot;AllocQty&quot;) as &quot;AllocQty&quot; 
        ///FROM {0}.&quot;OITL&quot; T0 
        ///JOIN {0}.&quot;ITL1&quot; T1 ON T0.&quot;LogEntry&quot; = T1.&quot;LogEntry&quot; 
        ///JOIN {0}.&quot;OSRN&quot; T2 ON T1.&quot;SysNumber&quot; = T2.&quot;SysNumber&quot; AND T0.&quot;ItemCode&quot; = T2.&quot;ItemCode&quot;.
        /// </summary>
        internal static string GetSerialsByDocument07 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument07", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to  GROUP BY T0.&quot;DocNum&quot;, T0.&quot;DocLine&quot;, T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot;  HAVING SUM(T1.&quot;AllocQty&quot;) &gt; 0.
        /// </summary>
        internal static string GetSerialsByDocument08 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument08", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SELECT * from {3}.&quot;OSRN&quot; where &quot;DistNumber&quot; in ({0})  and &quot;SysNumber&quot; in ({2}).
        /// </summary>
        internal static string GetSerialsByDocument09 {
            get {
                return ResourceManager.GetString("GetSerialsByDocument09", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SELECT T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot;,T3.&quot;WhsCode&quot;, SUM(T1.&quot;AllocQty&quot;)as &quot;AllocQty&quot; 
        ///FROM &quot;OITL&quot; T0 
        ///JOIN &quot;ITL1&quot; T1 ON T0.&quot;LogEntry&quot; = T1.&quot;LogEntry&quot; 
        ///JOIN &quot;OSRN&quot; T2 ON T1.&quot;SysNumber&quot; = T2.&quot;SysNumber&quot; AND T0.&quot;ItemCode&quot; = T2.&quot;ItemCode&quot;
        ///{0}
        ///GROUP BY  T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T3.&quot;WhsCode&quot;,T2.&quot;AbsEntry&quot; 
        ///HAVING SUM(T1.&quot;AllocQty&quot;) = 0.
        /// </summary>
        internal static string SerialsWhitBin {
            get {
                return ResourceManager.GetString("SerialsWhitBin", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SELECT T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot;, SUM(T1.&quot;AllocQty&quot;) as &quot;AllocQty&quot;
        ///FROM &quot;OITL&quot; T0 
        ///JOIN &quot;ITL1&quot; T1 ON T0.&quot;LogEntry&quot; = T1.&quot;LogEntry&quot; 
        ///JOIN &quot;OSRN&quot; T2 ON T1.&quot;SysNumber&quot; = T2.&quot;SysNumber&quot; AND T0.&quot;ItemCode&quot; = T2.&quot;ItemCode&quot; 
        ///{0}
        ///GROUP BY  T2.&quot;DistNumber&quot;,T1.&quot;SysNumber&quot;,T2.&quot;AbsEntry&quot; 
        ///HAVING SUM(T1.&quot;AllocQty&quot;) = 0.
        /// </summary>
        internal static string SerialsWhitOutBin {
            get {
                return ResourceManager.GetString("SerialsWhitOutBin", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to set schema Portal; 
        ///select * from &quot;OITM&quot;.
        /// </summary>
        internal static string Test {
            get {
                return ResourceManager.GetString("Test", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to join &quot;OSBQ&quot; T3 ON T1.&quot;MdAbsEntry&quot; = T3.&quot;SnBMDAbs&quot;  and T3.&quot;ItemCode&quot; = &apos;{0}&apos; and  T3.&quot;OnHandQty&quot; &gt; 0.
        /// </summary>
        internal static string WherebySAPWhitBin01 {
            get {
                return ResourceManager.GetString("WherebySAPWhitBin01", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to WHERE T0.&quot;ItemCode&quot; = &apos;{0}&apos; and T1.&quot;MdAbsEntry&quot; NOT IN (SELECT &quot;SnBMDAbs&quot; FROM &quot;OSBQ&quot;).
        /// </summary>
        internal static string WherebySAPWhitOutBin01 {
            get {
                return ResourceManager.GetString("WherebySAPWhitOutBin01", resourceCulture);
            }
        }
    }
}
